VARKON Version 1.15 1997-12-29

> ## arc_1pos - Geometric procedure

> Creates an arc
> Description
> Creates a circular arc with specified origin and radius. An optional start and end angle may be specified.
> Syntax
> arc_1pos(id, p, r, start, end:attributes);

> REF | id;
> VECTOR | p;
> FLOAT | r;
> FLOAT | start;
> FLOAT | end;

> Principal parameters

> id | - Local identity
> p | - Arc centre
> r | - Radius

> Optional parameters

> start | - Start angle, default = 0
> end | - End angle, default = 360

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> AFONT | - Solid(0), dashed(1) or centerline(2)
> ADASHL | - Dashlength
> WIDTH | - Linewidth

> Example
> arc_1pos(#1,vec(10,10),20, ,90);
> Creates the first quarter of a circle with centre in X=Y=10 and radius 20. A default value of 0 is taken for the start angle and 90 is used for the end angle.
> Comments
> The sense of direction for an arc is counterclockwise from start to end. The positive X-axis represents an angle of zero degrees. Angles may be given as negative or positive values but start should always be smaller then end.
> In a 3D module the resulting arc is restricted to the XY-plane of the active coordinate system. If p is not in this plane ( p.z <> 0) p is projected along the Z-axis (p.z is set to zero) before the arc is created.

VARKON Homepage | Index